JXimc.Flags
Date: 2025-12-16

ru.ximc.libximc

## Class JXimc.Flags

- java.lang.Object
- - ru.ximc.libximc.JXimc.Flags

- Enclosing class:
    JXimc

      public static class JXimc.Flags
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `ALARM_ENGINE_RESPONSE`
    `static long` | `ALARM_FLAGS_STICKING`
    `static long` | `ALARM_ON_BORDERS_SWAP_MISSET`
    `static long` | `ALARM_ON_DRIVER_OVERHEATING`
    `static long` | `ALARM_WINDING_MISMATCH`
    `static long` | `BACK_EMF_INDUCTANCE_AUTO`
    `static long` | `BACK_EMF_KM_AUTO`
    `static long` | `BACK_EMF_RESISTANCE_AUTO`
    `static long` | `BORDER_IS_ENCODER`
    `static long` | `BORDER_STOP_LEFT`
    `static long` | `BORDER_STOP_RIGHT`
    `static long` | `BORDERS_SWAP_MISSET_DETECTION`
    `static long` | `BRAKE_ENABLED`
    `static long` | `BRAKE_ENG_PWROFF`
    `static long` | `BRAKING_OVERVOLTAGE_PROTECTION`
    `static long` | `CONTROL_BTN_LEFT_PUSHED_OPEN`
    `static long` | `CONTROL_BTN_RIGHT_PUSHED_OPEN`
    `static long` | `CONTROL_MODE_BITS`
    `static long` | `CONTROL_MODE_JOY`
    `static long` | `CONTROL_MODE_LR`
    `static long` | `CONTROL_MODE_OFF`
    `static long` | `CTP_ALARM_ON_ERROR`
    `static long` | `CTP_BASE`
    `static long` | `CTP_ENABLED`
    `static long` | `CTP_ERROR_CORRECTION`
    `static long` | `DRIVER_TYPE_EXTERNAL`
    `static long` | `DRIVER_TYPE_INTEGRATE`
    `static long` | `EEPROM_PRECEDENCE`
    `static long` | `ENC_STATE_ABSENT`
    `static long` | `ENC_STATE_MALFUNC`
    `static long` | `ENC_STATE_OK`
    `static long` | `ENC_STATE_REVERS`
    `static long` | `ENC_STATE_UNKNOWN`
    `static long` | `ENCSET_DIFFERENTIAL_OUTPUT`
    `static long` | `ENCSET_INDEXCHANNEL_PRESENT`
    `static long` | `ENCSET_PUSHPULL_OUTPUT`
    `static long` | `ENCSET_REVOLUTIONSENSOR_ACTIVE_HIGH`
    `static long` | `ENCSET_REVOLUTIONSENSOR_PRESENT`
    `static long` | `ENDER_SW1_ACTIVE_LOW`
    `static long` | `ENDER_SW2_ACTIVE_LOW`
    `static long` | `ENDER_SWAP`
    `static long` | `ENGINE_ACCEL_ON`
    `static long` | `ENGINE_ANTIPLAY`
    `static long` | `ENGINE_CURRENT_AS_RMS`
    `static long` | `ENGINE_LIMIT_CURR`
    `static long` | `ENGINE_LIMIT_RPM`
    `static long` | `ENGINE_LIMIT_VOLT`
    `static long` | `ENGINE_MAX_SPEED`
    `static long` | `ENGINE_REVERSE`
    `static long` | `ENGINE_TYPE_2DC`
    `static long` | `ENGINE_TYPE_BRUSHLESS`
    `static long` | `ENGINE_TYPE_DC`
    `static long` | `ENGINE_TYPE_NONE`
    `static long` | `ENGINE_TYPE_STEP`
    `static long` | `ENGINE_TYPE_TEST`
    `static long` | `ENUMERATE_ALL_COM`
    `static long` | `ENUMERATE_NETWORK`
    `static long` | `ENUMERATE_PROBE`
    `static long` | `EXTIO_SETUP_INVERT`
    `static long` | `EXTIO_SETUP_MODE_IN_ALARM`
    `static long` | `EXTIO_SETUP_MODE_IN_BITS`
    `static long` | `EXTIO_SETUP_MODE_IN_HOME`
    `static long` | `EXTIO_SETUP_MODE_IN_MOVR`
    `static long` | `EXTIO_SETUP_MODE_IN_NOP`
    `static long` | `EXTIO_SETUP_MODE_IN_PWOF`
    `static long` | `EXTIO_SETUP_MODE_IN_STOP`
    `static long` | `EXTIO_SETUP_MODE_OUT_ALARM`
    `static long` | `EXTIO_SETUP_MODE_OUT_BITS`
    `static long` | `EXTIO_SETUP_MODE_OUT_MOTOR_ON`
    `static long` | `EXTIO_SETUP_MODE_OUT_MOVING`
    `static long` | `EXTIO_SETUP_MODE_OUT_OFF`
    `static long` | `EXTIO_SETUP_MODE_OUT_ON`
    `static long` | `EXTIO_SETUP_OUTPUT`
    `static long` | `FEEDBACK_EMF`
    `static long` | `FEEDBACK_ENC_ADAPTIVE_HOLDING`
    `static long` | `FEEDBACK_ENC_FILTER_BITS`
    `static long` | `FEEDBACK_ENC_FILTER_MEDIUM`
    `static long` | `FEEDBACK_ENC_FILTER_NONE`
    `static long` | `FEEDBACK_ENC_FILTER_STRONG`
    `static long` | `FEEDBACK_ENC_FILTER_WEAK`
    `static long` | `FEEDBACK_ENC_REVERSE`
    `static long` | `FEEDBACK_ENC_TYPE_AUTO`
    `static long` | `FEEDBACK_ENC_TYPE_BITS`
    `static long` | `FEEDBACK_ENC_TYPE_DIFFERENTIAL`
    `static long` | `FEEDBACK_ENC_TYPE_SINGLE_ENDED`
    `static long` | `FEEDBACK_ENCODER`
    `static long` | `FEEDBACK_ENCODER_MEDIATED`
    `static long` | `FEEDBACK_NONE`
    `static long` | `H_BRIDGE_ALERT`
    `static long` | `HOME_DIR_FIRST`
    `static long` | `HOME_DIR_SECOND`
    `static long` | `HOME_HALF_MV`
    `static long` | `HOME_MV_SEC_EN`
    `static long` | `HOME_STOP_FIRST_BITS`
    `static long` | `HOME_STOP_FIRST_LIM`
    `static long` | `HOME_STOP_FIRST_REV`
    `static long` | `HOME_STOP_FIRST_SYN`
    `static long` | `HOME_STOP_SECOND_BITS`
    `static long` | `HOME_STOP_SECOND_LIM`
    `static long` | `HOME_STOP_SECOND_REV`
    `static long` | `HOME_STOP_SECOND_SYN`
    `static long` | `HOME_USE_FAST`
    `static long` | `JOY_REVERSE`
    `static long` | `LOW_UPWR_PROTECTION`
    `static long` | `LS_ON_SW1_AVAILABLE`
    `static long` | `LS_ON_SW2_AVAILABLE`
    `static long` | `LS_SHORTED`
    `static long` | `LS_SW1_ACTIVE_LOW`
    `static long` | `LS_SW2_ACTIVE_LOW`
    `static long` | `MB_AVAILABLE`
    `static long` | `MB_POWERED_HOLD`
    `static long` | `MICROSTEP_MODE_FRAC_128`
    `static long` | `MICROSTEP_MODE_FRAC_16`
    `static long` | `MICROSTEP_MODE_FRAC_2`
    `static long` | `MICROSTEP_MODE_FRAC_256`
    `static long` | `MICROSTEP_MODE_FRAC_32`
    `static long` | `MICROSTEP_MODE_FRAC_4`
    `static long` | `MICROSTEP_MODE_FRAC_64`
    `static long` | `MICROSTEP_MODE_FRAC_8`
    `static long` | `MICROSTEP_MODE_FULL`
    `static long` | `MOTOR_TYPE_BLDC`
    `static long` | `MOTOR_TYPE_DC`
    `static long` | `MOTOR_TYPE_STEP`
    `static long` | `MOTOR_TYPE_UNKNOWN`
    `static long` | `MOVE_STATE_ANTIPLAY`
    `static long` | `MOVE_STATE_MOVING`
    `static long` | `MOVE_STATE_TARGET_SPEED`
    `static long` | `MVCMD_ERROR`
    `static long` | `MVCMD_HOME`
    `static long` | `MVCMD_LEFT`
    `static long` | `MVCMD_LOFT`
    `static long` | `MVCMD_MOVE`
    `static long` | `MVCMD_MOVR`
    `static long` | `MVCMD_NAME_BITS`
    `static long` | `MVCMD_RIGHT`
    `static long` | `MVCMD_RUNNING`
    `static long` | `MVCMD_SSTP`
    `static long` | `MVCMD_STOP`
    `static long` | `MVCMD_UKNWN`
    `static long` | `POWER_OFF_ENABLED`
    `static long` | `POWER_REDUCT_ENABLED`
    `static long` | `POWER_SMOOTH_CURRENT`
    `static long` | `PWR_STATE_MAX`
    `static long` | `PWR_STATE_NORM`
    `static long` | `PWR_STATE_OFF`
    `static long` | `PWR_STATE_REDUCT`
    `static long` | `PWR_STATE_UNKNOWN`
    `static long` | `REV_SENS_INV`
    `static long` | `RPM_DIV_1000`
    `static long` | `SETPOS_IGNORE_ENCODER`
    `static long` | `SETPOS_IGNORE_POSITION`
    `static long` | `STATE_ALARM`
    `static long` | `STATE_BORDERS_SWAP_MISSET`
    `static long` | `STATE_BRAKE`
    `static long` | `STATE_BUTTON_LEFT`
    `static long` | `STATE_BUTTON_RIGHT`
    `static long` | `STATE_CONTR`
    `static long` | `STATE_CONTROLLER_OVERHEAT`
    `static long` | `STATE_CTP_ERROR`
    `static long` | `STATE_DIG_SIGNAL`
    `static long` | `STATE_EEPROM_CONNECTED`
    `static long` | `STATE_ENC_A`
    `static long` | `STATE_ENC_B`
    `static long` | `STATE_ENCODER_FAULT`
    `static long` | `STATE_ENGINE_RESPONSE_ERROR`
    `static long` | `STATE_ERRC`
    `static long` | `STATE_ERRD`
    `static long` | `STATE_ERRV`
    `static long` | `STATE_EXTIO_ALARM`
    `static long` | `STATE_GPIO_LEVEL`
    `static long` | `STATE_GPIO_PINOUT`
    `static long` | `STATE_H_BRIDGE_FAULT`
    `static long` | `STATE_IS_HOMED`
    `static long` | `STATE_LEFT_EDGE`
    `static long` | `STATE_LOW_POWER_VOLTAGE`
    `static long` | `STATE_LOW_USB_VOLTAGE`
    `static long` | `STATE_OVERLOAD_POWER_CURRENT`
    `static long` | `STATE_OVERLOAD_POWER_VOLTAGE`
    `static long` | `STATE_OVERLOAD_USB_CURRENT`
    `static long` | `STATE_OVERLOAD_USB_VOLTAGE`
    `static long` | `STATE_POWER_OVERHEAT`
    `static long` | `STATE_REV_SENSOR`
    `static long` | `STATE_RIGHT_EDGE`
    `static long` | `STATE_SECUR`
    `static long` | `STATE_SYNC_INPUT`
    `static long` | `STATE_SYNC_OUTPUT`
    `static long` | `STATE_WINDING_RES_MISMATCH`
    `static long` | `SYNCIN_ENABLED`
    `static long` | `SYNCIN_GOTOPOSITION`
    `static long` | `SYNCIN_INVERT`
    `static long` | `SYNCOUT_ENABLED`
    `static long` | `SYNCOUT_IN_STEPS`
    `static long` | `SYNCOUT_INVERT`
    `static long` | `SYNCOUT_ONPERIOD`
    `static long` | `SYNCOUT_ONSTART`
    `static long` | `SYNCOUT_ONSTOP`
    `static long` | `SYNCOUT_STATE`
    `static long` | `TS_AVAILABLE`
    `static long` | `TS_TYPE_BITS`
    `static long` | `TS_TYPE_SEMICONDUCTOR`
    `static long` | `TS_TYPE_THERMOCOUPLE`
    `static long` | `TS_TYPE_UNKNOWN`
    `static long` | `UART_PARITY_BIT_EVEN`
    `static long` | `UART_PARITY_BIT_MARK`
    `static long` | `UART_PARITY_BIT_ODD`
    `static long` | `UART_PARITY_BIT_SPACE`
    `static long` | `UART_PARITY_BIT_USE`
    `static long` | `UART_PARITY_BITS`
    `static long` | `UART_STOP_BIT`
    `static long` | `WIND_A_STATE_ABSENT`
    `static long` | `WIND_A_STATE_MALFUNC`
    `static long` | `WIND_A_STATE_OK`
    `static long` | `WIND_A_STATE_UNKNOWN`
    `static long` | `WIND_B_STATE_ABSENT`
    `static long` | `WIND_B_STATE_MALFUNC`
    `static long` | `WIND_B_STATE_OK`
    `static long` | `WIND_B_STATE_UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Flags()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENUMERATE_PROBE

          public static final long ENUMERATE_PROBE

      See Also:
        Constant Field Values

    - #### ENUMERATE_ALL_COM

          public static final long ENUMERATE_ALL_COM

      See Also:
        Constant Field Values

    - #### ENUMERATE_NETWORK

          public static final long ENUMERATE_NETWORK

      See Also:
        Constant Field Values

    - #### MOVE_STATE_MOVING

          public static final long MOVE_STATE_MOVING

      See Also:
        Constant Field Values

    - #### MOVE_STATE_TARGET_SPEED

          public static final long MOVE_STATE_TARGET_SPEED

      See Also:
        Constant Field Values

    - #### MOVE_STATE_ANTIPLAY

          public static final long MOVE_STATE_ANTIPLAY

      See Also:
        Constant Field Values

    - #### EEPROM_PRECEDENCE

          public static final long EEPROM_PRECEDENCE

      See Also:
        Constant Field Values

    - #### PWR_STATE_UNKNOWN

          public static final long PWR_STATE_UNKNOWN

      See Also:
        Constant Field Values

    - #### PWR_STATE_OFF

          public static final long PWR_STATE_OFF

      See Also:
        Constant Field Values

    - #### PWR_STATE_NORM

          public static final long PWR_STATE_NORM

      See Also:
        Constant Field Values

    - #### PWR_STATE_REDUCT

          public static final long PWR_STATE_REDUCT

      See Also:
        Constant Field Values

    - #### PWR_STATE_MAX

          public static final long PWR_STATE_MAX

      See Also:
        Constant Field Values

    - #### STATE_CONTR

          public static final long STATE_CONTR

      See Also:
        Constant Field Values

    - #### STATE_ERRC

          public static final long STATE_ERRC

      See Also:
        Constant Field Values

    - #### STATE_ERRD

          public static final long STATE_ERRD

      See Also:
        Constant Field Values

    - #### STATE_ERRV

          public static final long STATE_ERRV

      See Also:
        Constant Field Values

    - #### STATE_EEPROM_CONNECTED

          public static final long STATE_EEPROM_CONNECTED

      See Also:
        Constant Field Values

    - #### STATE_IS_HOMED

          public static final long STATE_IS_HOMED

      See Also:
        Constant Field Values

    - #### STATE_SECUR

          public static final long STATE_SECUR

      See Also:
        Constant Field Values

    - #### STATE_ALARM

          public static final long STATE_ALARM

      See Also:
        Constant Field Values

    - #### STATE_CTP_ERROR

          public static final long STATE_CTP_ERROR

      See Also:
        Constant Field Values

    - #### STATE_POWER_OVERHEAT

          public static final long STATE_POWER_OVERHEAT

      See Also:
        Constant Field Values

    - #### STATE_CONTROLLER_OVERHEAT

          public static final long STATE_CONTROLLER_OVERHEAT

      See Also:
        Constant Field Values

    - #### STATE_OVERLOAD_POWER_VOLTAGE

          public static final long STATE_OVERLOAD_POWER_VOLTAGE

      See Also:
        Constant Field Values

    - #### STATE_OVERLOAD_POWER_CURRENT

          public static final long STATE_OVERLOAD_POWER_CURRENT

      See Also:
        Constant Field Values

    - #### STATE_OVERLOAD_USB_VOLTAGE

          public static final long STATE_OVERLOAD_USB_VOLTAGE

      See Also:
        Constant Field Values

    - #### STATE_LOW_USB_VOLTAGE

          public static final long STATE_LOW_USB_VOLTAGE

      See Also:
        Constant Field Values

    - #### STATE_OVERLOAD_USB_CURRENT

          public static final long STATE_OVERLOAD_USB_CURRENT

      See Also:
        Constant Field Values

    - #### STATE_BORDERS_SWAP_MISSET

          public static final long STATE_BORDERS_SWAP_MISSET

      See Also:
        Constant Field Values

    - #### STATE_LOW_POWER_VOLTAGE

          public static final long STATE_LOW_POWER_VOLTAGE

      See Also:
        Constant Field Values

    - #### STATE_H_BRIDGE_FAULT

          public static final long STATE_H_BRIDGE_FAULT

      See Also:
        Constant Field Values

    - #### STATE_WINDING_RES_MISMATCH

          public static final long STATE_WINDING_RES_MISMATCH

      See Also:
        Constant Field Values

    - #### STATE_ENCODER_FAULT

          public static final long STATE_ENCODER_FAULT

      See Also:
        Constant Field Values

    - #### STATE_ENGINE_RESPONSE_ERROR

          public static final long STATE_ENGINE_RESPONSE_ERROR

      See Also:
        Constant Field Values

    - #### STATE_EXTIO_ALARM

          public static final long STATE_EXTIO_ALARM

      See Also:
        Constant Field Values

    - #### STATE_DIG_SIGNAL

          public static final long STATE_DIG_SIGNAL

      See Also:
        Constant Field Values

    - #### STATE_RIGHT_EDGE

          public static final long STATE_RIGHT_EDGE

      See Also:
        Constant Field Values

    - #### STATE_LEFT_EDGE

          public static final long STATE_LEFT_EDGE

      See Also:
        Constant Field Values

    - #### STATE_BUTTON_RIGHT

          public static final long STATE_BUTTON_RIGHT

      See Also:
        Constant Field Values

    - #### STATE_BUTTON_LEFT

          public static final long STATE_BUTTON_LEFT

      See Also:
        Constant Field Values

    - #### STATE_GPIO_PINOUT

          public static final long STATE_GPIO_PINOUT

      See Also:
        Constant Field Values

    - #### STATE_GPIO_LEVEL

          public static final long STATE_GPIO_LEVEL

      See Also:
        Constant Field Values

    - #### STATE_BRAKE

          public static final long STATE_BRAKE

      See Also:
        Constant Field Values

    - #### STATE_REV_SENSOR

          public static final long STATE_REV_SENSOR

      See Also:
        Constant Field Values

    - #### STATE_SYNC_INPUT

          public static final long STATE_SYNC_INPUT

      See Also:
        Constant Field Values

    - #### STATE_SYNC_OUTPUT

          public static final long STATE_SYNC_OUTPUT

      See Also:
        Constant Field Values

    - #### STATE_ENC_A

          public static final long STATE_ENC_A

      See Also:
        Constant Field Values

    - #### STATE_ENC_B

          public static final long STATE_ENC_B

      See Also:
        Constant Field Values

    - #### ENC_STATE_ABSENT

          public static final long ENC_STATE_ABSENT

      See Also:
        Constant Field Values

    - #### ENC_STATE_UNKNOWN

          public static final long ENC_STATE_UNKNOWN

      See Also:
        Constant Field Values

    - #### ENC_STATE_MALFUNC

          public static final long ENC_STATE_MALFUNC

      See Also:
        Constant Field Values

    - #### ENC_STATE_REVERS

          public static final long ENC_STATE_REVERS

      See Also:
        Constant Field Values

    - #### ENC_STATE_OK

          public static final long ENC_STATE_OK

      See Also:
        Constant Field Values

    - #### WIND_A_STATE_ABSENT

          public static final long WIND_A_STATE_ABSENT

      See Also:
        Constant Field Values

    - #### WIND_A_STATE_UNKNOWN

          public static final long WIND_A_STATE_UNKNOWN

      See Also:
        Constant Field Values

    - #### WIND_A_STATE_MALFUNC

          public static final long WIND_A_STATE_MALFUNC

      See Also:
        Constant Field Values

    - #### WIND_A_STATE_OK

          public static final long WIND_A_STATE_OK

      See Also:
        Constant Field Values

    - #### WIND_B_STATE_ABSENT

          public static final long WIND_B_STATE_ABSENT

      See Also:
        Constant Field Values

    - #### WIND_B_STATE_UNKNOWN

          public static final long WIND_B_STATE_UNKNOWN

      See Also:
        Constant Field Values

    - #### WIND_B_STATE_MALFUNC

          public static final long WIND_B_STATE_MALFUNC

      See Also:
        Constant Field Values

    - #### WIND_B_STATE_OK

          public static final long WIND_B_STATE_OK

      See Also:
        Constant Field Values

    - #### MVCMD_NAME_BITS

          public static final long MVCMD_NAME_BITS

      See Also:
        Constant Field Values

    - #### MVCMD_UKNWN

          public static final long MVCMD_UKNWN

      See Also:
        Constant Field Values

    - #### MVCMD_MOVE

          public static final long MVCMD_MOVE

      See Also:
        Constant Field Values

    - #### MVCMD_MOVR

          public static final long MVCMD_MOVR

      See Also:
        Constant Field Values

    - #### MVCMD_LEFT

          public static final long MVCMD_LEFT

      See Also:
        Constant Field Values

    - #### MVCMD_RIGHT

          public static final long MVCMD_RIGHT

      See Also:
        Constant Field Values

    - #### MVCMD_STOP

          public static final long MVCMD_STOP

      See Also:
        Constant Field Values

    - #### MVCMD_HOME

          public static final long MVCMD_HOME

      See Also:
        Constant Field Values

    - #### MVCMD_LOFT

          public static final long MVCMD_LOFT

      See Also:
        Constant Field Values

    - #### MVCMD_SSTP

          public static final long MVCMD_SSTP

      See Also:
        Constant Field Values

    - #### MVCMD_ERROR

          public static final long MVCMD_ERROR

      See Also:
        Constant Field Values

    - #### MVCMD_RUNNING

          public static final long MVCMD_RUNNING

      See Also:
        Constant Field Values

    - #### RPM_DIV_1000

          public static final long RPM_DIV_1000

      See Also:
        Constant Field Values

    - #### ENGINE_REVERSE

          public static final long ENGINE_REVERSE

      See Also:
        Constant Field Values

    - #### ENGINE_CURRENT_AS_RMS

          public static final long ENGINE_CURRENT_AS_RMS

      See Also:
        Constant Field Values

    - #### ENGINE_MAX_SPEED

          public static final long ENGINE_MAX_SPEED

      See Also:
        Constant Field Values

    - #### ENGINE_ANTIPLAY

          public static final long ENGINE_ANTIPLAY

      See Also:
        Constant Field Values

    - #### ENGINE_ACCEL_ON

          public static final long ENGINE_ACCEL_ON

      See Also:
        Constant Field Values

    - #### ENGINE_LIMIT_VOLT

          public static final long ENGINE_LIMIT_VOLT

      See Also:
        Constant Field Values

    - #### ENGINE_LIMIT_CURR

          public static final long ENGINE_LIMIT_CURR

      See Also:
        Constant Field Values

    - #### ENGINE_LIMIT_RPM

          public static final long ENGINE_LIMIT_RPM

      See Also:
        Constant Field Values

    - #### MICROSTEP_MODE_FULL

          public static final long MICROSTEP_MODE_FULL

      See Also:
        Constant Field Values

    - #### MICROSTEP_MODE_FRAC_2

          public static final long MICROSTEP_MODE_FRAC_2

      See Also:
        Constant Field Values

    - #### MICROSTEP_MODE_FRAC_4

          public static final long MICROSTEP_MODE_FRAC_4

      See Also:
        Constant Field Values

    - #### MICROSTEP_MODE_FRAC_8

          public static final long MICROSTEP_MODE_FRAC_8

      See Also:
        Constant Field Values

    - #### MICROSTEP_MODE_FRAC_16

          public static final long MICROSTEP_MODE_FRAC_16

      See Also:
        Constant Field Values

    - #### MICROSTEP_MODE_FRAC_32

          public static final long MICROSTEP_MODE_FRAC_32

      See Also:
        Constant Field Values

    - #### MICROSTEP_MODE_FRAC_64

          public static final long MICROSTEP_MODE_FRAC_64

      See Also:
        Constant Field Values

    - #### MICROSTEP_MODE_FRAC_128

          public static final long MICROSTEP_MODE_FRAC_128

      See Also:
        Constant Field Values

    - #### MICROSTEP_MODE_FRAC_256

          public static final long MICROSTEP_MODE_FRAC_256

      See Also:
        Constant Field Values

    - #### ENGINE_TYPE_NONE

          public static final long ENGINE_TYPE_NONE

      See Also:
        Constant Field Values

    - #### ENGINE_TYPE_DC

          public static final long ENGINE_TYPE_DC

      See Also:
        Constant Field Values

    - #### ENGINE_TYPE_2DC

          public static final long ENGINE_TYPE_2DC

      See Also:
        Constant Field Values

    - #### ENGINE_TYPE_STEP

          public static final long ENGINE_TYPE_STEP

      See Also:
        Constant Field Values

    - #### ENGINE_TYPE_TEST

          public static final long ENGINE_TYPE_TEST

      See Also:
        Constant Field Values

    - #### ENGINE_TYPE_BRUSHLESS

          public static final long ENGINE_TYPE_BRUSHLESS

      See Also:
        Constant Field Values

    - #### DRIVER_TYPE_INTEGRATE

          public static final long DRIVER_TYPE_INTEGRATE

      See Also:
        Constant Field Values

    - #### DRIVER_TYPE_EXTERNAL

          public static final long DRIVER_TYPE_EXTERNAL

      See Also:
        Constant Field Values

    - #### POWER_REDUCT_ENABLED

          public static final long POWER_REDUCT_ENABLED

      See Also:
        Constant Field Values

    - #### POWER_OFF_ENABLED

          public static final long POWER_OFF_ENABLED

      See Also:
        Constant Field Values

    - #### POWER_SMOOTH_CURRENT

          public static final long POWER_SMOOTH_CURRENT

      See Also:
        Constant Field Values

    - #### ALARM_ON_DRIVER_OVERHEATING

          public static final long ALARM_ON_DRIVER_OVERHEATING

      See Also:
        Constant Field Values

    - #### LOW_UPWR_PROTECTION

          public static final long LOW_UPWR_PROTECTION

      See Also:
        Constant Field Values

    - #### H_BRIDGE_ALERT

          public static final long H_BRIDGE_ALERT

      See Also:
        Constant Field Values

    - #### ALARM_ON_BORDERS_SWAP_MISSET

          public static final long ALARM_ON_BORDERS_SWAP_MISSET

      See Also:
        Constant Field Values

    - #### ALARM_FLAGS_STICKING

          public static final long ALARM_FLAGS_STICKING

      See Also:
        Constant Field Values

    - #### BRAKING_OVERVOLTAGE_PROTECTION

          public static final long BRAKING_OVERVOLTAGE_PROTECTION

      See Also:
        Constant Field Values

    - #### ALARM_WINDING_MISMATCH

          public static final long ALARM_WINDING_MISMATCH

      See Also:
        Constant Field Values

    - #### ALARM_ENGINE_RESPONSE

          public static final long ALARM_ENGINE_RESPONSE

      See Also:
        Constant Field Values

    - #### SETPOS_IGNORE_POSITION

          public static final long SETPOS_IGNORE_POSITION

      See Also:
        Constant Field Values

    - #### SETPOS_IGNORE_ENCODER

          public static final long SETPOS_IGNORE_ENCODER

      See Also:
        Constant Field Values

    - #### FEEDBACK_ENCODER

          public static final long FEEDBACK_ENCODER

      See Also:
        Constant Field Values

    - #### FEEDBACK_EMF

          public static final long FEEDBACK_EMF

      See Also:
        Constant Field Values

    - #### FEEDBACK_NONE

          public static final long FEEDBACK_NONE

      See Also:
        Constant Field Values

    - #### FEEDBACK_ENCODER_MEDIATED

          public static final long FEEDBACK_ENCODER_MEDIATED

      See Also:
        Constant Field Values

    - #### FEEDBACK_ENC_REVERSE

          public static final long FEEDBACK_ENC_REVERSE

      See Also:
        Constant Field Values

    - #### FEEDBACK_ENC_ADAPTIVE_HOLDING

          public static final long FEEDBACK_ENC_ADAPTIVE_HOLDING

      See Also:
        Constant Field Values

    - #### FEEDBACK_ENC_FILTER_NONE

          public static final long FEEDBACK_ENC_FILTER_NONE

      See Also:
        Constant Field Values

    - #### FEEDBACK_ENC_FILTER_WEAK

          public static final long FEEDBACK_ENC_FILTER_WEAK

      See Also:
        Constant Field Values

    - #### FEEDBACK_ENC_FILTER_MEDIUM

          public static final long FEEDBACK_ENC_FILTER_MEDIUM

      See Also:
        Constant Field Values

    - #### FEEDBACK_ENC_FILTER_STRONG

          public static final long FEEDBACK_ENC_FILTER_STRONG

      See Also:
        Constant Field Values

    - #### FEEDBACK_ENC_FILTER_BITS

          public static final long FEEDBACK_ENC_FILTER_BITS

      See Also:
        Constant Field Values

    - #### FEEDBACK_ENC_TYPE_AUTO

          public static final long FEEDBACK_ENC_TYPE_AUTO

      See Also:
        Constant Field Values

    - #### FEEDBACK_ENC_TYPE_SINGLE_ENDED

          public static final long FEEDBACK_ENC_TYPE_SINGLE_ENDED

      See Also:
        Constant Field Values

    - #### FEEDBACK_ENC_TYPE_DIFFERENTIAL

          public static final long FEEDBACK_ENC_TYPE_DIFFERENTIAL

      See Also:
        Constant Field Values

    - #### FEEDBACK_ENC_TYPE_BITS

          public static final long FEEDBACK_ENC_TYPE_BITS

      See Also:
        Constant Field Values

    - #### SYNCIN_ENABLED

          public static final long SYNCIN_ENABLED

      See Also:
        Constant Field Values

    - #### SYNCIN_INVERT

          public static final long SYNCIN_INVERT

      See Also:
        Constant Field Values

    - #### SYNCIN_GOTOPOSITION

          public static final long SYNCIN_GOTOPOSITION

      See Also:
        Constant Field Values

    - #### SYNCOUT_ENABLED

          public static final long SYNCOUT_ENABLED

      See Also:
        Constant Field Values

    - #### SYNCOUT_STATE

          public static final long SYNCOUT_STATE

      See Also:
        Constant Field Values

    - #### SYNCOUT_INVERT

          public static final long SYNCOUT_INVERT

      See Also:
        Constant Field Values

    - #### SYNCOUT_IN_STEPS

          public static final long SYNCOUT_IN_STEPS

      See Also:
        Constant Field Values

    - #### SYNCOUT_ONSTART

          public static final long SYNCOUT_ONSTART

      See Also:
        Constant Field Values

    - #### SYNCOUT_ONSTOP

          public static final long SYNCOUT_ONSTOP

      See Also:
        Constant Field Values

    - #### SYNCOUT_ONPERIOD

          public static final long SYNCOUT_ONPERIOD

      See Also:
        Constant Field Values

    - #### EXTIO_SETUP_OUTPUT

          public static final long EXTIO_SETUP_OUTPUT

      See Also:
        Constant Field Values

    - #### EXTIO_SETUP_INVERT

          public static final long EXTIO_SETUP_INVERT

      See Also:
        Constant Field Values

    - #### EXTIO_SETUP_MODE_IN_BITS

          public static final long EXTIO_SETUP_MODE_IN_BITS

      See Also:
        Constant Field Values

    - #### EXTIO_SETUP_MODE_IN_NOP

          public static final long EXTIO_SETUP_MODE_IN_NOP

      See Also:
        Constant Field Values

    - #### EXTIO_SETUP_MODE_IN_STOP

          public static final long EXTIO_SETUP_MODE_IN_STOP

      See Also:
        Constant Field Values

    - #### EXTIO_SETUP_MODE_IN_PWOF

          public static final long EXTIO_SETUP_MODE_IN_PWOF

      See Also:
        Constant Field Values

    - #### EXTIO_SETUP_MODE_IN_MOVR

          public static final long EXTIO_SETUP_MODE_IN_MOVR

      See Also:
        Constant Field Values

    - #### EXTIO_SETUP_MODE_IN_HOME

          public static final long EXTIO_SETUP_MODE_IN_HOME

      See Also:
        Constant Field Values

    - #### EXTIO_SETUP_MODE_IN_ALARM

          public static final long EXTIO_SETUP_MODE_IN_ALARM

      See Also:
        Constant Field Values

    - #### EXTIO_SETUP_MODE_OUT_BITS

          public static final long EXTIO_SETUP_MODE_OUT_BITS

      See Also:
        Constant Field Values

    - #### EXTIO_SETUP_MODE_OUT_OFF

          public static final long EXTIO_SETUP_MODE_OUT_OFF

      See Also:
        Constant Field Values

    - #### EXTIO_SETUP_MODE_OUT_ON

          public static final long EXTIO_SETUP_MODE_OUT_ON

      See Also:
        Constant Field Values

    - #### EXTIO_SETUP_MODE_OUT_MOVING

          public static final long EXTIO_SETUP_MODE_OUT_MOVING

      See Also:
        Constant Field Values

    - #### EXTIO_SETUP_MODE_OUT_ALARM

          public static final long EXTIO_SETUP_MODE_OUT_ALARM

      See Also:
        Constant Field Values

    - #### EXTIO_SETUP_MODE_OUT_MOTOR_ON

          public static final long EXTIO_SETUP_MODE_OUT_MOTOR_ON

      See Also:
        Constant Field Values

    - #### BORDER_IS_ENCODER

          public static final long BORDER_IS_ENCODER

      See Also:
        Constant Field Values

    - #### BORDER_STOP_LEFT

          public static final long BORDER_STOP_LEFT

      See Also:
        Constant Field Values

    - #### BORDER_STOP_RIGHT

          public static final long BORDER_STOP_RIGHT

      See Also:
        Constant Field Values

    - #### BORDERS_SWAP_MISSET_DETECTION

          public static final long BORDERS_SWAP_MISSET_DETECTION

      See Also:
        Constant Field Values

    - #### ENDER_SWAP

          public static final long ENDER_SWAP

      See Also:
        Constant Field Values

    - #### ENDER_SW1_ACTIVE_LOW

          public static final long ENDER_SW1_ACTIVE_LOW

      See Also:
        Constant Field Values

    - #### ENDER_SW2_ACTIVE_LOW

          public static final long ENDER_SW2_ACTIVE_LOW

      See Also:
        Constant Field Values

    - #### BRAKE_ENABLED

          public static final long BRAKE_ENABLED

      See Also:
        Constant Field Values

    - #### BRAKE_ENG_PWROFF

          public static final long BRAKE_ENG_PWROFF

      See Also:
        Constant Field Values

    - #### CONTROL_MODE_BITS

          public static final long CONTROL_MODE_BITS

      See Also:
        Constant Field Values

    - #### CONTROL_MODE_OFF

          public static final long CONTROL_MODE_OFF

      See Also:
        Constant Field Values

    - #### CONTROL_MODE_JOY

          public static final long CONTROL_MODE_JOY

      See Also:
        Constant Field Values

    - #### CONTROL_MODE_LR

          public static final long CONTROL_MODE_LR

      See Also:
        Constant Field Values

    - #### CONTROL_BTN_LEFT_PUSHED_OPEN

          public static final long CONTROL_BTN_LEFT_PUSHED_OPEN

      See Also:
        Constant Field Values

    - #### CONTROL_BTN_RIGHT_PUSHED_OPEN

          public static final long CONTROL_BTN_RIGHT_PUSHED_OPEN

      See Also:
        Constant Field Values

    - #### JOY_REVERSE

          public static final long JOY_REVERSE

      See Also:
        Constant Field Values

    - #### CTP_ENABLED

          public static final long CTP_ENABLED

      See Also:
        Constant Field Values

    - #### CTP_BASE

          public static final long CTP_BASE

      See Also:
        Constant Field Values

    - #### CTP_ALARM_ON_ERROR

          public static final long CTP_ALARM_ON_ERROR

      See Also:
        Constant Field Values

    - #### REV_SENS_INV

          public static final long REV_SENS_INV

      See Also:
        Constant Field Values

    - #### CTP_ERROR_CORRECTION

          public static final long CTP_ERROR_CORRECTION

      See Also:
        Constant Field Values

    - #### HOME_DIR_FIRST

          public static final long HOME_DIR_FIRST

      See Also:
        Constant Field Values

    - #### HOME_DIR_SECOND

          public static final long HOME_DIR_SECOND

      See Also:
        Constant Field Values

    - #### HOME_MV_SEC_EN

          public static final long HOME_MV_SEC_EN

      See Also:
        Constant Field Values

    - #### HOME_HALF_MV

          public static final long HOME_HALF_MV

      See Also:
        Constant Field Values

    - #### HOME_STOP_FIRST_BITS

          public static final long HOME_STOP_FIRST_BITS

      See Also:
        Constant Field Values

    - #### HOME_STOP_FIRST_REV

          public static final long HOME_STOP_FIRST_REV

      See Also:
        Constant Field Values

    - #### HOME_STOP_FIRST_SYN

          public static final long HOME_STOP_FIRST_SYN

      See Also:
        Constant Field Values

    - #### HOME_STOP_FIRST_LIM

          public static final long HOME_STOP_FIRST_LIM

      See Also:
        Constant Field Values

    - #### HOME_STOP_SECOND_BITS

          public static final long HOME_STOP_SECOND_BITS

      See Also:
        Constant Field Values

    - #### HOME_STOP_SECOND_REV

          public static final long HOME_STOP_SECOND_REV

      See Also:
        Constant Field Values

    - #### HOME_STOP_SECOND_SYN

          public static final long HOME_STOP_SECOND_SYN

      See Also:
        Constant Field Values

    - #### HOME_STOP_SECOND_LIM

          public static final long HOME_STOP_SECOND_LIM

      See Also:
        Constant Field Values

    - #### HOME_USE_FAST

          public static final long HOME_USE_FAST

      See Also:
        Constant Field Values

    - #### UART_PARITY_BITS

          public static final long UART_PARITY_BITS

      See Also:
        Constant Field Values

    - #### UART_PARITY_BIT_EVEN

          public static final long UART_PARITY_BIT_EVEN

      See Also:
        Constant Field Values

    - #### UART_PARITY_BIT_ODD

          public static final long UART_PARITY_BIT_ODD

      See Also:
        Constant Field Values

    - #### UART_PARITY_BIT_SPACE

          public static final long UART_PARITY_BIT_SPACE

      See Also:
        Constant Field Values

    - #### UART_PARITY_BIT_MARK

          public static final long UART_PARITY_BIT_MARK

      See Also:
        Constant Field Values

    - #### UART_PARITY_BIT_USE

          public static final long UART_PARITY_BIT_USE

      See Also:
        Constant Field Values

    - #### UART_STOP_BIT

          public static final long UART_STOP_BIT

      See Also:
        Constant Field Values

    - #### MOTOR_TYPE_UNKNOWN

          public static final long MOTOR_TYPE_UNKNOWN

      See Also:
        Constant Field Values

    - #### MOTOR_TYPE_STEP

          public static final long MOTOR_TYPE_STEP

      See Also:
        Constant Field Values

    - #### MOTOR_TYPE_DC

          public static final long MOTOR_TYPE_DC

      See Also:
        Constant Field Values

    - #### MOTOR_TYPE_BLDC

          public static final long MOTOR_TYPE_BLDC

      See Also:
        Constant Field Values

    - #### ENCSET_DIFFERENTIAL_OUTPUT

          public static final long ENCSET_DIFFERENTIAL_OUTPUT

      See Also:
        Constant Field Values

    - #### ENCSET_PUSHPULL_OUTPUT

          public static final long ENCSET_PUSHPULL_OUTPUT

      See Also:
        Constant Field Values

    - #### ENCSET_INDEXCHANNEL_PRESENT

          public static final long ENCSET_INDEXCHANNEL_PRESENT

      See Also:
        Constant Field Values

    - #### ENCSET_REVOLUTIONSENSOR_PRESENT

          public static final long ENCSET_REVOLUTIONSENSOR_PRESENT

      See Also:
        Constant Field Values

    - #### ENCSET_REVOLUTIONSENSOR_ACTIVE_HIGH

          public static final long ENCSET_REVOLUTIONSENSOR_ACTIVE_HIGH

      See Also:
        Constant Field Values

    - #### MB_AVAILABLE

          public static final long MB_AVAILABLE

      See Also:
        Constant Field Values

    - #### MB_POWERED_HOLD

          public static final long MB_POWERED_HOLD

      See Also:
        Constant Field Values

    - #### TS_TYPE_BITS

          public static final long TS_TYPE_BITS

      See Also:
        Constant Field Values

    - #### TS_TYPE_UNKNOWN

          public static final long TS_TYPE_UNKNOWN

      See Also:
        Constant Field Values

    - #### TS_TYPE_THERMOCOUPLE

          public static final long TS_TYPE_THERMOCOUPLE

      See Also:
        Constant Field Values

    - #### TS_TYPE_SEMICONDUCTOR

          public static final long TS_TYPE_SEMICONDUCTOR

      See Also:
        Constant Field Values

    - #### TS_AVAILABLE

          public static final long TS_AVAILABLE

      See Also:
        Constant Field Values

    - #### LS_ON_SW1_AVAILABLE

          public static final long LS_ON_SW1_AVAILABLE

      See Also:
        Constant Field Values

    - #### LS_ON_SW2_AVAILABLE

          public static final long LS_ON_SW2_AVAILABLE

      See Also:
        Constant Field Values

    - #### LS_SW1_ACTIVE_LOW

          public static final long LS_SW1_ACTIVE_LOW

      See Also:
        Constant Field Values

    - #### LS_SW2_ACTIVE_LOW

          public static final long LS_SW2_ACTIVE_LOW

      See Also:
        Constant Field Values

    - #### LS_SHORTED

          public static final long LS_SHORTED

      See Also:
        Constant Field Values

    - #### BACK_EMF_INDUCTANCE_AUTO

          public static final long BACK_EMF_INDUCTANCE_AUTO

      See Also:
        Constant Field Values

    - #### BACK_EMF_RESISTANCE_AUTO

          public static final long BACK_EMF_RESISTANCE_AUTO

      See Also:
        Constant Field Values

    - #### BACK_EMF_KM_AUTO

          public static final long BACK_EMF_KM_AUTO

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Flags

          public Flags()